Return all comments, sorted by most recent first, for a particular contract and chain pair
curl --request GET \
--url https://api.clicker.xyz/v1/tokens/{chain}/{contractAddress}/comments \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.clicker.xyz/v1/tokens/{chain}/{contractAddress}/comments"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.clicker.xyz/v1/tokens/{chain}/{contractAddress}/comments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"itemId": "<string>",
"actor": {
"type": "user",
"address": "<string>",
"name": "<string>",
"images": {
"raw": "<string>",
"xs": "<string>",
"sm": "<string>"
},
"profile": {
"id": "<string>",
"name": "<string>",
"images": {
"raw": "<string>",
"xs": "<string>",
"sm": "<string>"
},
"addresses": [
"<string>"
],
"metadata": {
"farcasterUsername": "<string>",
"farcasterId": 123,
"lensHandle": "<string>",
"ensName": "<string>",
"twitterHandle": "<string>",
"debankName": "<string>",
"hlName": "<string>",
"commentCount30d": 123,
"pnl30d": 123,
"winRate30d": 123,
"tradeCount30d": 123,
"roiPercent30d": 123,
"pnl7d": 123,
"winRate7d": 123,
"tradeCount7d": 123,
"roiPercent7d": 123,
"medianHoldingTimeMinutes": 123
},
"isNSFW": false,
"externalId": "<string>"
}
},
"timestamp": 123,
"comment": {
"uid": "<string>",
"transactionHash": "<string>",
"tokenAddress": "<string>",
"commentText": "<string>",
"timestamp": 123,
"isAppUserComment": true,
"metrics": {
"copyCount": 123,
"copyVolume": "<string>",
"likeCount": 123,
"isLikedByUser": true
},
"signerAddress": "<string>",
"replies": [
{
"id": "<string>",
"text": "<string>",
"author": {
"type": "user",
"address": "<string>",
"name": "<string>",
"images": {
"raw": "<string>",
"xs": "<string>",
"sm": "<string>"
},
"profile": {
"id": "<string>",
"name": "<string>",
"images": {
"raw": "<string>",
"xs": "<string>",
"sm": "<string>"
},
"addresses": [
"<string>"
],
"metadata": {
"farcasterUsername": "<string>",
"farcasterId": 123,
"lensHandle": "<string>",
"ensName": "<string>",
"twitterHandle": "<string>",
"debankName": "<string>",
"hlName": "<string>",
"commentCount30d": 123,
"pnl30d": 123,
"winRate30d": 123,
"tradeCount30d": 123,
"roiPercent30d": 123,
"pnl7d": 123,
"winRate7d": 123,
"tradeCount7d": 123,
"roiPercent7d": 123,
"medianHoldingTimeMinutes": 123
},
"isNSFW": false,
"externalId": "<string>"
}
},
"timestamp": 123,
"likeCount": 123,
"isLikedByUser": true
}
]
},
"trade": {
"tokenAmount": 123,
"usdCost": 123,
"marketCap": 123,
"timestamp": 123,
"transactionHash": "<string>",
"perpLeverage": 123
},
"positionDetails": {
"perpLeverage": 123,
"positionAmount": 123,
"positionStats": {
"boughtUSD": 123,
"soldUSD": 123,
"realizedGainsUSD": 123,
"holdingsCostBasisUSD": 123,
"receivedCostBasisUSD": 123,
"holdingReceivedCostBasisUSD": 123,
"isOpen": true,
"boughtUSDWithLeverage": 123,
"soldUSDWithLeverage": 123,
"holdingsCostBasisUSDWithLeverage": 123,
"unavailable": true
},
"positionAmountWithLeverage": 123
},
"token": {
"symbol": "<string>",
"name": "<string>",
"address": "<string>",
"commentCount": 123
}
}
]{
"error": "<string>"
}{
"error": "<string>"
}Comments
Token Comments
GET
/
v1
/
tokens
/
{chain}
/
{contractAddress}
/
comments
Return all comments, sorted by most recent first, for a particular contract and chain pair
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Available options:
ethereum, optimism, polygon, arbitrum, zora, base, zero, solana, hyperliquid The contract / token address.
Query Parameters
The total number of records to respond with. Defaults to 50.
Response
200
The actor that completed an action to create a feed item.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I